<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.reserveLayout.modular.keepWork.mapper.DemoFumigationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.unis.reserveLayout.modular.keepWork.entity.DemoFumigation">
        <id column="id" property="id" />
        <result column="org_id" property="orgId" />
        <result column="org_name" property="orgName" />
        <result column="cfbm" property="cfbm" />
        <result column="cfmc" property="cfmc" />
        <result column="cflxbm" property="cflxbm" />
        <result column="cflxmc" property="cflxmc" />
        <result column="pzbm" property="pzbm" />
        <result column="pzmc" property="pzmc" />
        <result column="kcsl" property="kcsl" />
        <result column="rknx" property="rknx" />
        <result column="hcjcdh" property="hcjcdh" />
        <result column="fsbw" property="fsbw" />
        <result column="zyhc" property="zyhc" />
        <result column="hlxzfs" property="hlxzfs" />
        <result column="syrrzzqk" property="syrrzzqk" />
        <result column="syzzsh" property="syzzsh" />
        <result column="lhqnd" property="lhqnd" />
        <result column="sqrq" property="sqrq" />
        <result column="sqff" property="sqff" />
        <result column="sqpzr" property="sqpzr" />
        <result column="sqts" property="sqts" />
        <result column="sqjsslhqnd" property="sqjsslhqnd" />
        <result column="xzfzr" property="xzfzr" />
        <result column="xzzyry" property="xzzyry" />
        <result column="xzsj" property="xzsj" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, org_id, org_name, cfbm, cfmc, cflxbm, cflxmc, pzbm, pzmc, kcsl, rknx, hcjcdh, fsbw, zyhc, hlxzfs, syrrzzqk, syzzsh, lhqnd, sqrq, sqff, sqpzr, sqts, sqjsslhqnd, xzfzr, xzzyry, xzsj
    </sql>
    <select id="selectPageList" parameterType="com.baomidou.mybatisplus.core.conditions.Wrapper" resultType="com.unis.reserveLayout.modular.keepWork.entity.DemoFumigation">
        SELECT
            df.*, tfc.vdevcode
        FROM
            demo_fumigation df
        LEFT JOIN t_fumigation_circulation tfc ON df.org_id = tfc.org_id
        AND df.cfbm = tfc.vcfcode
        ${ew.customSqlSegment}
    </select>

</mapper>
